Skip to the end of navigation

Welcome to the Community!

VAIO - Hardware & Networking

Showing results for 
Search instead for 
Do you mean 
Reply
Enthusiast
Posts: 4
Registered: ‎01-07-2018
Message 1 of 4 (807 Views)

URGENT - BIOS Upgrades for Meltdown & Spectre

Posting here as well as Sony Moderators do not seem to be active in other forum areas!!

 

When will we expect updates for VIAO laptops?

 

I have svf15n18pgb model. 

 

As this is an urgent & significant security problem for the Industry, I am looking for Sony to provide pro-active advise & action for its customers. 

 

 

Enthusiast
Posts: 4
Registered: ‎03-11-2017
Message 2 of 4 (768 Views)

Re: URGENT - BIOS Upgrades for Meltdown & Spectre

Microsoft has already pushed out patches to Windows Update.

You can read this article for more information on ensuring your PC is up to date.
https://www.cnet.com/how-to/how-to-protect-your-pc-against-the-intel-chip-flaw/
Highlighted
Enthusiast
Posts: 4
Registered: ‎01-07-2018
Message 3 of 4 (737 Views)

Re: URGENT - BIOS Upgrades for Meltdown & Spectre

You misunderstand the issues in this vulnerability. While OS updates will help in mitigating this, it’s not sufficient just to update the operating system -  the underlying firmware must also be updated. If this is not done, systems will remain vulnerable.

 

The only way for this to occur is for OEMs like Sony to issue BIOS updates. The article you point to also makes this point (but not very well.) This is the problem with relying on popular press & jouranlists for information.

 

Microsft advise: " ...installing OS patch only is not enough to fix this vulnerability and Firmware update is mandatory...."

 

Read the Microsoft advice on their patch here:

https://social.technet.microsoft.com/wiki/contents/articles/51021.mitgations-for-speculative-executi...

 

 

 

 

 

Enthusiast
Posts: 4
Registered: ‎01-17-2018
Message 4 of 4 (23 Views)

Re: URGENT - BIOS Upgrades for Meltdown & Spectre

Sony's silence is deafening.  I have several Sony Ivy Bridge (3rd gen) and Haswell (4th gen) era machines that need the firmware updates.

 

Dell is providing updates back to Ivy Bridge era machines.  This list shows how it's done right:

 

http://www.dell.com/support/article/us/en/19/sln308587/microprocessor-side-channel-vulnerabilities-c...

Get Social

Share your ideas Watch YouTube Support Videos follow us on Twitter Visit us on Facebook